
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program;                                              *
 *   if not, write to the Free Software Foundation, Inc.,                  *
 *   59 Temple Place, Suite 330, Boston, MA  02111-1307  USA               *
 *                                                                         *
 ***************************************************************************/

#include "vip1710device.h"
#include "vip1710menu.h"
#include <vdr/plugin.h>
#include "vip1710.h"
#include <strings.h>

cVip1710MenuSetup::cVip1710MenuSetup() {

  newVip1710Setup = Vip1710Setup;

  Add(new cMenuEditIntItem(tr("Setup.vip1710$Log level"), \
      &newVip1710Setup.LogLevel, 0, 4));

  Add(new cMenuEditBoolItem(tr("Setup.vip1710$Use WSS on Scart output"), \
      &newVip1710Setup.UseScartWSS));

  Add(new cMenuEditIntItem(tr("Setup.vip1710$AC3 Gain"), \
      &newVip1710Setup.AC3Gain, 1, 5));

  Add(new cMenuEditBoolItem(tr("Setup.vip1710$Black video for audio-only streams"), \
      &newVip1710Setup.BlackVideoForAudioOnly));

  Add(new cMenuEditBoolItem(tr("Setup.vip1710$Recode MP2 audio-only streams"), \
      &newVip1710Setup.RecodeMP2AudioOnly));

  Add(new cMenuEditBoolItem(tr("Setup.vip1710$Recode joint-stereo"), \
      &newVip1710Setup.RecodeJointStereo));
}

void cVip1710MenuSetup::Store() {

  SetupStore("LogLevel", \
      Vip1710Setup.LogLevel = newVip1710Setup.LogLevel);

  SetupStore("UseScartWSS", \
      Vip1710Setup.UseScartWSS = newVip1710Setup.UseScartWSS);

  SetupStore("AC3Gain", \
      Vip1710Setup.AC3Gain = newVip1710Setup.AC3Gain);

  SetupStore("BlackVideoForAudioOnly", \
      Vip1710Setup.BlackVideoForAudioOnly = newVip1710Setup.BlackVideoForAudioOnly);

  SetupStore("RecodeMP2AudioOnly", \
      Vip1710Setup.RecodeMP2AudioOnly = newVip1710Setup.RecodeMP2AudioOnly);

  SetupStore("RecodeJointStereo", \
      Vip1710Setup.RecodeJointStereo = newVip1710Setup.RecodeJointStereo);
}




